/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-12-18 16:36:36
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-12-27 09:30:24
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN\alarm.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// 设备列表
export const alarm_list: { [key: string]: string } = {
    'alarm.list.table.list.id': 'ID',
    'alarm.list.table.form.title': '告警详情',
}

// 设备状态
export const alarm_setting: { [key: string]: string } = {
    'alarm.setting.table.title': '告警项',
    'alarm.setting.table.list.name': '告警名称',
    'alarm.setting.table.list.code': '告警代码',
    'alarm.setting.table.list.category': '告警分类',
    'alarm.setting.table.list.level': '告警等级',
    'alarm.setting.table.list.createTime': '创建时间',
    'alarm.setting.table.list.remark': '备注',
    'alarm.setting.table.list.setting': '告警等级设置',
    'alarm.setting.table.list.add': '新建告警项',
    'alarm.setting.table.model.title': '告警等级',
    'alarm.setting.table.list.update': '编辑告警项',
    'alarm.setting.table.rule.required.code': '类别代码为必填项',
    'alarm.setting.table.model.alarmStatusSetting': '告警等级',
    'alarm.list.table.list.deviceGroup': '设备组',
    'alarm.list.table.list.alarmTime': '告警时间',
    'alarm.setting.table.list.rule.required.name': '请填写告警名称',

}  

// 设备状态
export const alarm_ways: { [key: string]: string } = {
    'alarm.ways.page.name': '告警方式',
    'alarm.ways.page.title': '告警方式设置',
    'alarm.ways.page.add': '新建告警方式',
    'alarm.ways.page.empty.des': '暂无告警方式',
    'alarm.ways.page.model.name': '告警方式名称',
    'alarm.ways.page.form.serviceName': '第三方服务商',
    'alarm.ways.page.form.params': '服务商参数',
    'alarm.ways.page.form.template': '通知模板',
    'alarm.ways.page.model.rule.required.name': '请填写告警方式名称',
}

// 告警规则
export const alarm_rules: { [key: string]: string } = {
    'alarm_rules.page.name': '告警规则',
    'alarm_rules.page.id': '规则ID',
    'alarm_rules.page.status': '规则状态',
    'alarm_rules.page.updateTime': '修改时间',
    'alarm_rules.page.form.title': '编辑单人徘徊告警',
    'alarm_rules.page.form.multiTitle': '编辑多人聚集告警',
    'alarm_rules.page.form.timeTitle': '编辑敏感时间告警',
    'alarm_rules.page.form.isEnabled': '启用告警',
    'alarm_rules.page.form.name': '告警名称',
    'alarm_rules.page.form.triggerConditions': '触发条件',
    'alarm_rules.page.form.trigger_start_time': '敏感开始时间',
    'alarm_rules.page.rule.required.name': '请填写告警名称',
    'alarm_rules.page.rule.required.trigger_start_time': '请填写时间',
    'alarm_rules.page.rule.required.person_number': '请填写人数',
    'alarm_rules.page.rule.required.time_interval': '请填写时间',
    'alarm_rules.page.rule.required.appear_number': '请填写次数'
    
}  